unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IniFiles;// 

type
  TMainForm = class(TForm)
    readButton: TButton;
    writeButton: TButton;
    userName: TEdit;
    Label1: TLabel;
    Combo: TComboBox;
    Label2: TLabel;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure writeButtonClick(Sender: TObject);
    procedure readButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

 procedure write_ini;
 procedure read_ini;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure write_ini;
var
 ini:TIniFile;
begin
 ini:=TIniFile.Create(ExtractFileDir(Application.ExeName)+'\'+'MainForm.ini');
 ini.WriteInteger('FORM', 'Top', MainForm.Top);
 ini.WriteInteger('FORM', 'Left', MainForm.Left);
 ini.WriteInteger('FORM', 'Width', MainForm.Width);
 ini.WriteInteger('FORM', 'Height', MainForm.Height);
 ini.WriteString('USER', 'Name', MainForm.userName.Text);
 ini.WriteInteger('USER','Pol', MainForm.Combo.ItemIndex);
 ini.Free;
end;

procedure read_ini;
var
 ini:TIniFile;
begin
 ini:=TiniFile.Create(ExtractFileDir(Application.ExeName)+'\'+'MainForm.ini');
 MainForm.Top:=ini.ReadInteger('FORM', 'Top', 0);
 MainForm.Left:=ini.ReadInteger('FORM', 'Left', 0);
 MainForm.Width:=ini.ReadInteger('FORM', 'Width', 226);
 MainForm.Height:=ini.ReadInteger('FORM', 'Height', 123);
 MainForm.userName.Text:=ini.ReadString('USER', 'Name', 'Anonim');
 MainForm.Combo.ItemIndex:=ini.ReadInteger('USER', 'Pol', 1);
 ini.Free;
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
write_ini;
end;

procedure TMainForm.writeButtonClick(Sender: TObject);
begin
write_ini;
end;

procedure TMainForm.readButtonClick(Sender: TObject);
begin
read_ini;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
read_ini;
end;

end.
